Open CASCADE Technology: Resource_DataMapNodeOfDataMapOfAsciiStringExtendedString Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Resource_DataMapNodeOfDataMapOfAsciiStringExtendedString Class Reference

`#include <Resource_DataMapNodeOfDataMapOfAsciiStringExtendedString.hxx>`

Inheritance diagram for Resource_DataMapNodeOfDataMapOfAsciiStringExtendedString:
[legend]

## Public Member Functions
| Resource_DataMapNodeOfDataMapOfAsciiStringExtendedString (const TCollection_AsciiString &K, const TCollection_ExtendedString &I, const TCollection_MapNodePtr &n)
TCollection_AsciiString & | Key () const
TCollection_ExtendedString & | Value () const
Public Member Functions inherited from TCollection_MapNode
| TCollection_MapNode (const TCollection_MapNodePtr &n)
TCollection_MapNodePtr & | Next () const
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Constructor & Destructor Documentation

Resource_DataMapNodeOfDataMapOfAsciiStringExtendedString::Resource_DataMapNodeOfDataMapOfAsciiStringExtendedString | ( | const TCollection_AsciiString & | K,
|  | const TCollection_ExtendedString & | I,
|  | const TCollection_MapNodePtr & | n
| ) |  |

## Member Function Documentation

TCollection_AsciiString& Resource_DataMapNodeOfDataMapOfAsciiStringExtendedString::Key | ( |  | ) | const

TCollection_ExtendedString& Resource_DataMapNodeOfDataMapOfAsciiStringExtendedString::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- Resource_DataMapNodeOfDataMapOfAsciiStringExtendedString.hxx